IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Prefix/16
Addresses2^112
/64 networks2^48
- Network
fcbc::/16- First address
fcbc::- Last address
fcbc:ffff:ffff:ffff:ffff:ffff:ffff:ffff- Addresses
- 5,192,296,858,534,827,628,530,496,329,220,096 (2^112)
- /64 networks (LANs)
- 281,474,976,710,656 (2^48)
- Full form
fcbc:0000:0000:0000:0000:0000:0000:0000- Type
- Unique local (ULA) fc00::/7
Private IPv6, like RFC 1918; usually fd00::/8 - Reverse DNS zone
c.b.c.f.ip6.arpa
Split into smaller subnets
fcbc::/16 makes 4,096 subnets of /28; the first 256 are listed.
| # | Subnet | Last address |
|---|---|---|
| 1 | fcbc::/28 | fcbc:f:ffff:ffff:ffff:ffff:ffff:ffff |
| 2 | fcbc:10::/28 | fcbc:1f:ffff:ffff:ffff:ffff:ffff:ffff |
| 3 | fcbc:20::/28 | fcbc:2f:ffff:ffff:ffff:ffff:ffff:ffff |
| 4 | fcbc:30::/28 | fcbc:3f:ffff:ffff:ffff:ffff:ffff:ffff |
| 5 | fcbc:40::/28 | fcbc:4f:ffff:ffff:ffff:ffff:ffff:ffff |
| 6 | fcbc:50::/28 | fcbc:5f:ffff:ffff:ffff:ffff:ffff:ffff |
| 7 | fcbc:60::/28 | fcbc:6f:ffff:ffff:ffff:ffff:ffff:ffff |
| 8 | fcbc:70::/28 | fcbc:7f:ffff:ffff:ffff:ffff:ffff:ffff |
| 9 | fcbc:80::/28 | fcbc:8f:ffff:ffff:ffff:ffff:ffff:ffff |
| 10 | fcbc:90::/28 | fcbc:9f:ffff:ffff:ffff:ffff:ffff:ffff |
| 11 | fcbc:a0::/28 | fcbc:af:ffff:ffff:ffff:ffff:ffff:ffff |
| 12 | fcbc:b0::/28 | fcbc:bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 13 | fcbc:c0::/28 | fcbc:cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 14 | fcbc:d0::/28 | fcbc:df:ffff:ffff:ffff:ffff:ffff:ffff |
| 15 | fcbc:e0::/28 | fcbc:ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 16 | fcbc:f0::/28 | fcbc:ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 17 | fcbc:100::/28 | fcbc:10f:ffff:ffff:ffff:ffff:ffff:ffff |
| 18 | fcbc:110::/28 | fcbc:11f:ffff:ffff:ffff:ffff:ffff:ffff |
| 19 | fcbc:120::/28 | fcbc:12f:ffff:ffff:ffff:ffff:ffff:ffff |
| 20 | fcbc:130::/28 | fcbc:13f:ffff:ffff:ffff:ffff:ffff:ffff |
| 21 | fcbc:140::/28 | fcbc:14f:ffff:ffff:ffff:ffff:ffff:ffff |
| 22 | fcbc:150::/28 | fcbc:15f:ffff:ffff:ffff:ffff:ffff:ffff |
| 23 | fcbc:160::/28 | fcbc:16f:ffff:ffff:ffff:ffff:ffff:ffff |
| 24 | fcbc:170::/28 | fcbc:17f:ffff:ffff:ffff:ffff:ffff:ffff |
| 25 | fcbc:180::/28 | fcbc:18f:ffff:ffff:ffff:ffff:ffff:ffff |
| 26 | fcbc:190::/28 | fcbc:19f:ffff:ffff:ffff:ffff:ffff:ffff |
| 27 | fcbc:1a0::/28 | fcbc:1af:ffff:ffff:ffff:ffff:ffff:ffff |
| 28 | fcbc:1b0::/28 | fcbc:1bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 29 | fcbc:1c0::/28 | fcbc:1cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 30 | fcbc:1d0::/28 | fcbc:1df:ffff:ffff:ffff:ffff:ffff:ffff |
| 31 | fcbc:1e0::/28 | fcbc:1ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 32 | fcbc:1f0::/28 | fcbc:1ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 33 | fcbc:200::/28 | fcbc:20f:ffff:ffff:ffff:ffff:ffff:ffff |
| 34 | fcbc:210::/28 | fcbc:21f:ffff:ffff:ffff:ffff:ffff:ffff |
| 35 | fcbc:220::/28 | fcbc:22f:ffff:ffff:ffff:ffff:ffff:ffff |
| 36 | fcbc:230::/28 | fcbc:23f:ffff:ffff:ffff:ffff:ffff:ffff |
| 37 | fcbc:240::/28 | fcbc:24f:ffff:ffff:ffff:ffff:ffff:ffff |
| 38 | fcbc:250::/28 | fcbc:25f:ffff:ffff:ffff:ffff:ffff:ffff |
| 39 | fcbc:260::/28 | fcbc:26f:ffff:ffff:ffff:ffff:ffff:ffff |
| 40 | fcbc:270::/28 | fcbc:27f:ffff:ffff:ffff:ffff:ffff:ffff |
| 41 | fcbc:280::/28 | fcbc:28f:ffff:ffff:ffff:ffff:ffff:ffff |
| 42 | fcbc:290::/28 | fcbc:29f:ffff:ffff:ffff:ffff:ffff:ffff |
| 43 | fcbc:2a0::/28 | fcbc:2af:ffff:ffff:ffff:ffff:ffff:ffff |
| 44 | fcbc:2b0::/28 | fcbc:2bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 45 | fcbc:2c0::/28 | fcbc:2cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 46 | fcbc:2d0::/28 | fcbc:2df:ffff:ffff:ffff:ffff:ffff:ffff |
| 47 | fcbc:2e0::/28 | fcbc:2ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 48 | fcbc:2f0::/28 | fcbc:2ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 49 | fcbc:300::/28 | fcbc:30f:ffff:ffff:ffff:ffff:ffff:ffff |
| 50 | fcbc:310::/28 | fcbc:31f:ffff:ffff:ffff:ffff:ffff:ffff |
| 51 | fcbc:320::/28 | fcbc:32f:ffff:ffff:ffff:ffff:ffff:ffff |
| 52 | fcbc:330::/28 | fcbc:33f:ffff:ffff:ffff:ffff:ffff:ffff |
| 53 | fcbc:340::/28 | fcbc:34f:ffff:ffff:ffff:ffff:ffff:ffff |
| 54 | fcbc:350::/28 | fcbc:35f:ffff:ffff:ffff:ffff:ffff:ffff |
| 55 | fcbc:360::/28 | fcbc:36f:ffff:ffff:ffff:ffff:ffff:ffff |
| 56 | fcbc:370::/28 | fcbc:37f:ffff:ffff:ffff:ffff:ffff:ffff |
| 57 | fcbc:380::/28 | fcbc:38f:ffff:ffff:ffff:ffff:ffff:ffff |
| 58 | fcbc:390::/28 | fcbc:39f:ffff:ffff:ffff:ffff:ffff:ffff |
| 59 | fcbc:3a0::/28 | fcbc:3af:ffff:ffff:ffff:ffff:ffff:ffff |
| 60 | fcbc:3b0::/28 | fcbc:3bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 61 | fcbc:3c0::/28 | fcbc:3cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 62 | fcbc:3d0::/28 | fcbc:3df:ffff:ffff:ffff:ffff:ffff:ffff |
| 63 | fcbc:3e0::/28 | fcbc:3ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 64 | fcbc:3f0::/28 | fcbc:3ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 65 | fcbc:400::/28 | fcbc:40f:ffff:ffff:ffff:ffff:ffff:ffff |
| 66 | fcbc:410::/28 | fcbc:41f:ffff:ffff:ffff:ffff:ffff:ffff |
| 67 | fcbc:420::/28 | fcbc:42f:ffff:ffff:ffff:ffff:ffff:ffff |
| 68 | fcbc:430::/28 | fcbc:43f:ffff:ffff:ffff:ffff:ffff:ffff |
| 69 | fcbc:440::/28 | fcbc:44f:ffff:ffff:ffff:ffff:ffff:ffff |
| 70 | fcbc:450::/28 | fcbc:45f:ffff:ffff:ffff:ffff:ffff:ffff |
| 71 | fcbc:460::/28 | fcbc:46f:ffff:ffff:ffff:ffff:ffff:ffff |
| 72 | fcbc:470::/28 | fcbc:47f:ffff:ffff:ffff:ffff:ffff:ffff |
| 73 | fcbc:480::/28 | fcbc:48f:ffff:ffff:ffff:ffff:ffff:ffff |
| 74 | fcbc:490::/28 | fcbc:49f:ffff:ffff:ffff:ffff:ffff:ffff |
| 75 | fcbc:4a0::/28 | fcbc:4af:ffff:ffff:ffff:ffff:ffff:ffff |
| 76 | fcbc:4b0::/28 | fcbc:4bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 77 | fcbc:4c0::/28 | fcbc:4cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 78 | fcbc:4d0::/28 | fcbc:4df:ffff:ffff:ffff:ffff:ffff:ffff |
| 79 | fcbc:4e0::/28 | fcbc:4ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 80 | fcbc:4f0::/28 | fcbc:4ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 81 | fcbc:500::/28 | fcbc:50f:ffff:ffff:ffff:ffff:ffff:ffff |
| 82 | fcbc:510::/28 | fcbc:51f:ffff:ffff:ffff:ffff:ffff:ffff |
| 83 | fcbc:520::/28 | fcbc:52f:ffff:ffff:ffff:ffff:ffff:ffff |
| 84 | fcbc:530::/28 | fcbc:53f:ffff:ffff:ffff:ffff:ffff:ffff |
| 85 | fcbc:540::/28 | fcbc:54f:ffff:ffff:ffff:ffff:ffff:ffff |
| 86 | fcbc:550::/28 | fcbc:55f:ffff:ffff:ffff:ffff:ffff:ffff |
| 87 | fcbc:560::/28 | fcbc:56f:ffff:ffff:ffff:ffff:ffff:ffff |
| 88 | fcbc:570::/28 | fcbc:57f:ffff:ffff:ffff:ffff:ffff:ffff |
| 89 | fcbc:580::/28 | fcbc:58f:ffff:ffff:ffff:ffff:ffff:ffff |
| 90 | fcbc:590::/28 | fcbc:59f:ffff:ffff:ffff:ffff:ffff:ffff |
| 91 | fcbc:5a0::/28 | fcbc:5af:ffff:ffff:ffff:ffff:ffff:ffff |
| 92 | fcbc:5b0::/28 | fcbc:5bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 93 | fcbc:5c0::/28 | fcbc:5cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 94 | fcbc:5d0::/28 | fcbc:5df:ffff:ffff:ffff:ffff:ffff:ffff |
| 95 | fcbc:5e0::/28 | fcbc:5ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 96 | fcbc:5f0::/28 | fcbc:5ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 97 | fcbc:600::/28 | fcbc:60f:ffff:ffff:ffff:ffff:ffff:ffff |
| 98 | fcbc:610::/28 | fcbc:61f:ffff:ffff:ffff:ffff:ffff:ffff |
| 99 | fcbc:620::/28 | fcbc:62f:ffff:ffff:ffff:ffff:ffff:ffff |
| 100 | fcbc:630::/28 | fcbc:63f:ffff:ffff:ffff:ffff:ffff:ffff |
| 101 | fcbc:640::/28 | fcbc:64f:ffff:ffff:ffff:ffff:ffff:ffff |
| 102 | fcbc:650::/28 | fcbc:65f:ffff:ffff:ffff:ffff:ffff:ffff |
| 103 | fcbc:660::/28 | fcbc:66f:ffff:ffff:ffff:ffff:ffff:ffff |
| 104 | fcbc:670::/28 | fcbc:67f:ffff:ffff:ffff:ffff:ffff:ffff |
| 105 | fcbc:680::/28 | fcbc:68f:ffff:ffff:ffff:ffff:ffff:ffff |
| 106 | fcbc:690::/28 | fcbc:69f:ffff:ffff:ffff:ffff:ffff:ffff |
| 107 | fcbc:6a0::/28 | fcbc:6af:ffff:ffff:ffff:ffff:ffff:ffff |
| 108 | fcbc:6b0::/28 | fcbc:6bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 109 | fcbc:6c0::/28 | fcbc:6cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 110 | fcbc:6d0::/28 | fcbc:6df:ffff:ffff:ffff:ffff:ffff:ffff |
| 111 | fcbc:6e0::/28 | fcbc:6ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 112 | fcbc:6f0::/28 | fcbc:6ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 113 | fcbc:700::/28 | fcbc:70f:ffff:ffff:ffff:ffff:ffff:ffff |
| 114 | fcbc:710::/28 | fcbc:71f:ffff:ffff:ffff:ffff:ffff:ffff |
| 115 | fcbc:720::/28 | fcbc:72f:ffff:ffff:ffff:ffff:ffff:ffff |
| 116 | fcbc:730::/28 | fcbc:73f:ffff:ffff:ffff:ffff:ffff:ffff |
| 117 | fcbc:740::/28 | fcbc:74f:ffff:ffff:ffff:ffff:ffff:ffff |
| 118 | fcbc:750::/28 | fcbc:75f:ffff:ffff:ffff:ffff:ffff:ffff |
| 119 | fcbc:760::/28 | fcbc:76f:ffff:ffff:ffff:ffff:ffff:ffff |
| 120 | fcbc:770::/28 | fcbc:77f:ffff:ffff:ffff:ffff:ffff:ffff |
| 121 | fcbc:780::/28 | fcbc:78f:ffff:ffff:ffff:ffff:ffff:ffff |
| 122 | fcbc:790::/28 | fcbc:79f:ffff:ffff:ffff:ffff:ffff:ffff |
| 123 | fcbc:7a0::/28 | fcbc:7af:ffff:ffff:ffff:ffff:ffff:ffff |
| 124 | fcbc:7b0::/28 | fcbc:7bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 125 | fcbc:7c0::/28 | fcbc:7cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 126 | fcbc:7d0::/28 | fcbc:7df:ffff:ffff:ffff:ffff:ffff:ffff |
| 127 | fcbc:7e0::/28 | fcbc:7ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 128 | fcbc:7f0::/28 | fcbc:7ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 129 | fcbc:800::/28 | fcbc:80f:ffff:ffff:ffff:ffff:ffff:ffff |
| 130 | fcbc:810::/28 | fcbc:81f:ffff:ffff:ffff:ffff:ffff:ffff |
| 131 | fcbc:820::/28 | fcbc:82f:ffff:ffff:ffff:ffff:ffff:ffff |
| 132 | fcbc:830::/28 | fcbc:83f:ffff:ffff:ffff:ffff:ffff:ffff |
| 133 | fcbc:840::/28 | fcbc:84f:ffff:ffff:ffff:ffff:ffff:ffff |
| 134 | fcbc:850::/28 | fcbc:85f:ffff:ffff:ffff:ffff:ffff:ffff |
| 135 | fcbc:860::/28 | fcbc:86f:ffff:ffff:ffff:ffff:ffff:ffff |
| 136 | fcbc:870::/28 | fcbc:87f:ffff:ffff:ffff:ffff:ffff:ffff |
| 137 | fcbc:880::/28 | fcbc:88f:ffff:ffff:ffff:ffff:ffff:ffff |
| 138 | fcbc:890::/28 | fcbc:89f:ffff:ffff:ffff:ffff:ffff:ffff |
| 139 | fcbc:8a0::/28 | fcbc:8af:ffff:ffff:ffff:ffff:ffff:ffff |
| 140 | fcbc:8b0::/28 | fcbc:8bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 141 | fcbc:8c0::/28 | fcbc:8cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 142 | fcbc:8d0::/28 | fcbc:8df:ffff:ffff:ffff:ffff:ffff:ffff |
| 143 | fcbc:8e0::/28 | fcbc:8ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 144 | fcbc:8f0::/28 | fcbc:8ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 145 | fcbc:900::/28 | fcbc:90f:ffff:ffff:ffff:ffff:ffff:ffff |
| 146 | fcbc:910::/28 | fcbc:91f:ffff:ffff:ffff:ffff:ffff:ffff |
| 147 | fcbc:920::/28 | fcbc:92f:ffff:ffff:ffff:ffff:ffff:ffff |
| 148 | fcbc:930::/28 | fcbc:93f:ffff:ffff:ffff:ffff:ffff:ffff |
| 149 | fcbc:940::/28 | fcbc:94f:ffff:ffff:ffff:ffff:ffff:ffff |
| 150 | fcbc:950::/28 | fcbc:95f:ffff:ffff:ffff:ffff:ffff:ffff |
| 151 | fcbc:960::/28 | fcbc:96f:ffff:ffff:ffff:ffff:ffff:ffff |
| 152 | fcbc:970::/28 | fcbc:97f:ffff:ffff:ffff:ffff:ffff:ffff |
| 153 | fcbc:980::/28 | fcbc:98f:ffff:ffff:ffff:ffff:ffff:ffff |
| 154 | fcbc:990::/28 | fcbc:99f:ffff:ffff:ffff:ffff:ffff:ffff |
| 155 | fcbc:9a0::/28 | fcbc:9af:ffff:ffff:ffff:ffff:ffff:ffff |
| 156 | fcbc:9b0::/28 | fcbc:9bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 157 | fcbc:9c0::/28 | fcbc:9cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 158 | fcbc:9d0::/28 | fcbc:9df:ffff:ffff:ffff:ffff:ffff:ffff |
| 159 | fcbc:9e0::/28 | fcbc:9ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 160 | fcbc:9f0::/28 | fcbc:9ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 161 | fcbc:a00::/28 | fcbc:a0f:ffff:ffff:ffff:ffff:ffff:ffff |
| 162 | fcbc:a10::/28 | fcbc:a1f:ffff:ffff:ffff:ffff:ffff:ffff |
| 163 | fcbc:a20::/28 | fcbc:a2f:ffff:ffff:ffff:ffff:ffff:ffff |
| 164 | fcbc:a30::/28 | fcbc:a3f:ffff:ffff:ffff:ffff:ffff:ffff |
| 165 | fcbc:a40::/28 | fcbc:a4f:ffff:ffff:ffff:ffff:ffff:ffff |
| 166 | fcbc:a50::/28 | fcbc:a5f:ffff:ffff:ffff:ffff:ffff:ffff |
| 167 | fcbc:a60::/28 | fcbc:a6f:ffff:ffff:ffff:ffff:ffff:ffff |
| 168 | fcbc:a70::/28 | fcbc:a7f:ffff:ffff:ffff:ffff:ffff:ffff |
| 169 | fcbc:a80::/28 | fcbc:a8f:ffff:ffff:ffff:ffff:ffff:ffff |
| 170 | fcbc:a90::/28 | fcbc:a9f:ffff:ffff:ffff:ffff:ffff:ffff |
| 171 | fcbc:aa0::/28 | fcbc:aaf:ffff:ffff:ffff:ffff:ffff:ffff |
| 172 | fcbc:ab0::/28 | fcbc:abf:ffff:ffff:ffff:ffff:ffff:ffff |
| 173 | fcbc:ac0::/28 | fcbc:acf:ffff:ffff:ffff:ffff:ffff:ffff |
| 174 | fcbc:ad0::/28 | fcbc:adf:ffff:ffff:ffff:ffff:ffff:ffff |
| 175 | fcbc:ae0::/28 | fcbc:aef:ffff:ffff:ffff:ffff:ffff:ffff |
| 176 | fcbc:af0::/28 | fcbc:aff:ffff:ffff:ffff:ffff:ffff:ffff |
| 177 | fcbc:b00::/28 | fcbc:b0f:ffff:ffff:ffff:ffff:ffff:ffff |
| 178 | fcbc:b10::/28 | fcbc:b1f:ffff:ffff:ffff:ffff:ffff:ffff |
| 179 | fcbc:b20::/28 | fcbc:b2f:ffff:ffff:ffff:ffff:ffff:ffff |
| 180 | fcbc:b30::/28 | fcbc:b3f:ffff:ffff:ffff:ffff:ffff:ffff |
| 181 | fcbc:b40::/28 | fcbc:b4f:ffff:ffff:ffff:ffff:ffff:ffff |
| 182 | fcbc:b50::/28 | fcbc:b5f:ffff:ffff:ffff:ffff:ffff:ffff |
| 183 | fcbc:b60::/28 | fcbc:b6f:ffff:ffff:ffff:ffff:ffff:ffff |
| 184 | fcbc:b70::/28 | fcbc:b7f:ffff:ffff:ffff:ffff:ffff:ffff |
| 185 | fcbc:b80::/28 | fcbc:b8f:ffff:ffff:ffff:ffff:ffff:ffff |
| 186 | fcbc:b90::/28 | fcbc:b9f:ffff:ffff:ffff:ffff:ffff:ffff |
| 187 | fcbc:ba0::/28 | fcbc:baf:ffff:ffff:ffff:ffff:ffff:ffff |
| 188 | fcbc:bb0::/28 | fcbc:bbf:ffff:ffff:ffff:ffff:ffff:ffff |
| 189 | fcbc:bc0::/28 | fcbc:bcf:ffff:ffff:ffff:ffff:ffff:ffff |
| 190 | fcbc:bd0::/28 | fcbc:bdf:ffff:ffff:ffff:ffff:ffff:ffff |
| 191 | fcbc:be0::/28 | fcbc:bef:ffff:ffff:ffff:ffff:ffff:ffff |
| 192 | fcbc:bf0::/28 | fcbc:bff:ffff:ffff:ffff:ffff:ffff:ffff |
| 193 | fcbc:c00::/28 | fcbc:c0f:ffff:ffff:ffff:ffff:ffff:ffff |
| 194 | fcbc:c10::/28 | fcbc:c1f:ffff:ffff:ffff:ffff:ffff:ffff |
| 195 | fcbc:c20::/28 | fcbc:c2f:ffff:ffff:ffff:ffff:ffff:ffff |
| 196 | fcbc:c30::/28 | fcbc:c3f:ffff:ffff:ffff:ffff:ffff:ffff |
| 197 | fcbc:c40::/28 | fcbc:c4f:ffff:ffff:ffff:ffff:ffff:ffff |
| 198 | fcbc:c50::/28 | fcbc:c5f:ffff:ffff:ffff:ffff:ffff:ffff |
| 199 | fcbc:c60::/28 | fcbc:c6f:ffff:ffff:ffff:ffff:ffff:ffff |
| 200 | fcbc:c70::/28 | fcbc:c7f:ffff:ffff:ffff:ffff:ffff:ffff |
| 201 | fcbc:c80::/28 | fcbc:c8f:ffff:ffff:ffff:ffff:ffff:ffff |
| 202 | fcbc:c90::/28 | fcbc:c9f:ffff:ffff:ffff:ffff:ffff:ffff |
| 203 | fcbc:ca0::/28 | fcbc:caf:ffff:ffff:ffff:ffff:ffff:ffff |
| 204 | fcbc:cb0::/28 | fcbc:cbf:ffff:ffff:ffff:ffff:ffff:ffff |
| 205 | fcbc:cc0::/28 | fcbc:ccf:ffff:ffff:ffff:ffff:ffff:ffff |
| 206 | fcbc:cd0::/28 | fcbc:cdf:ffff:ffff:ffff:ffff:ffff:ffff |
| 207 | fcbc:ce0::/28 | fcbc:cef:ffff:ffff:ffff:ffff:ffff:ffff |
| 208 | fcbc:cf0::/28 | fcbc:cff:ffff:ffff:ffff:ffff:ffff:ffff |
| 209 | fcbc:d00::/28 | fcbc:d0f:ffff:ffff:ffff:ffff:ffff:ffff |
| 210 | fcbc:d10::/28 | fcbc:d1f:ffff:ffff:ffff:ffff:ffff:ffff |
| 211 | fcbc:d20::/28 | fcbc:d2f:ffff:ffff:ffff:ffff:ffff:ffff |
| 212 | fcbc:d30::/28 | fcbc:d3f:ffff:ffff:ffff:ffff:ffff:ffff |
| 213 | fcbc:d40::/28 | fcbc:d4f:ffff:ffff:ffff:ffff:ffff:ffff |
| 214 | fcbc:d50::/28 | fcbc:d5f:ffff:ffff:ffff:ffff:ffff:ffff |
| 215 | fcbc:d60::/28 | fcbc:d6f:ffff:ffff:ffff:ffff:ffff:ffff |
| 216 | fcbc:d70::/28 | fcbc:d7f:ffff:ffff:ffff:ffff:ffff:ffff |
| 217 | fcbc:d80::/28 | fcbc:d8f:ffff:ffff:ffff:ffff:ffff:ffff |
| 218 | fcbc:d90::/28 | fcbc:d9f:ffff:ffff:ffff:ffff:ffff:ffff |
| 219 | fcbc:da0::/28 | fcbc:daf:ffff:ffff:ffff:ffff:ffff:ffff |
| 220 | fcbc:db0::/28 | fcbc:dbf:ffff:ffff:ffff:ffff:ffff:ffff |
| 221 | fcbc:dc0::/28 | fcbc:dcf:ffff:ffff:ffff:ffff:ffff:ffff |
| 222 | fcbc:dd0::/28 | fcbc:ddf:ffff:ffff:ffff:ffff:ffff:ffff |
| 223 | fcbc:de0::/28 | fcbc:def:ffff:ffff:ffff:ffff:ffff:ffff |
| 224 | fcbc:df0::/28 | fcbc:dff:ffff:ffff:ffff:ffff:ffff:ffff |
| 225 | fcbc:e00::/28 | fcbc:e0f:ffff:ffff:ffff:ffff:ffff:ffff |
| 226 | fcbc:e10::/28 | fcbc:e1f:ffff:ffff:ffff:ffff:ffff:ffff |
| 227 | fcbc:e20::/28 | fcbc:e2f:ffff:ffff:ffff:ffff:ffff:ffff |
| 228 | fcbc:e30::/28 | fcbc:e3f:ffff:ffff:ffff:ffff:ffff:ffff |
| 229 | fcbc:e40::/28 | fcbc:e4f:ffff:ffff:ffff:ffff:ffff:ffff |
| 230 | fcbc:e50::/28 | fcbc:e5f:ffff:ffff:ffff:ffff:ffff:ffff |
| 231 | fcbc:e60::/28 | fcbc:e6f:ffff:ffff:ffff:ffff:ffff:ffff |
| 232 | fcbc:e70::/28 | fcbc:e7f:ffff:ffff:ffff:ffff:ffff:ffff |
| 233 | fcbc:e80::/28 | fcbc:e8f:ffff:ffff:ffff:ffff:ffff:ffff |
| 234 | fcbc:e90::/28 | fcbc:e9f:ffff:ffff:ffff:ffff:ffff:ffff |
| 235 | fcbc:ea0::/28 | fcbc:eaf:ffff:ffff:ffff:ffff:ffff:ffff |
| 236 | fcbc:eb0::/28 | fcbc:ebf:ffff:ffff:ffff:ffff:ffff:ffff |
| 237 | fcbc:ec0::/28 | fcbc:ecf:ffff:ffff:ffff:ffff:ffff:ffff |
| 238 | fcbc:ed0::/28 | fcbc:edf:ffff:ffff:ffff:ffff:ffff:ffff |
| 239 | fcbc:ee0::/28 | fcbc:eef:ffff:ffff:ffff:ffff:ffff:ffff |
| 240 | fcbc:ef0::/28 | fcbc:eff:ffff:ffff:ffff:ffff:ffff:ffff |
| 241 | fcbc:f00::/28 | fcbc:f0f:ffff:ffff:ffff:ffff:ffff:ffff |
| 242 | fcbc:f10::/28 | fcbc:f1f:ffff:ffff:ffff:ffff:ffff:ffff |
| 243 | fcbc:f20::/28 | fcbc:f2f:ffff:ffff:ffff:ffff:ffff:ffff |
| 244 | fcbc:f30::/28 | fcbc:f3f:ffff:ffff:ffff:ffff:ffff:ffff |
| 245 | fcbc:f40::/28 | fcbc:f4f:ffff:ffff:ffff:ffff:ffff:ffff |
| 246 | fcbc:f50::/28 | fcbc:f5f:ffff:ffff:ffff:ffff:ffff:ffff |
| 247 | fcbc:f60::/28 | fcbc:f6f:ffff:ffff:ffff:ffff:ffff:ffff |
| 248 | fcbc:f70::/28 | fcbc:f7f:ffff:ffff:ffff:ffff:ffff:ffff |
| 249 | fcbc:f80::/28 | fcbc:f8f:ffff:ffff:ffff:ffff:ffff:ffff |
| 250 | fcbc:f90::/28 | fcbc:f9f:ffff:ffff:ffff:ffff:ffff:ffff |
| 251 | fcbc:fa0::/28 | fcbc:faf:ffff:ffff:ffff:ffff:ffff:ffff |
| 252 | fcbc:fb0::/28 | fcbc:fbf:ffff:ffff:ffff:ffff:ffff:ffff |
| 253 | fcbc:fc0::/28 | fcbc:fcf:ffff:ffff:ffff:ffff:ffff:ffff |
| 254 | fcbc:fd0::/28 | fcbc:fdf:ffff:ffff:ffff:ffff:ffff:ffff |
| 255 | fcbc:fe0::/28 | fcbc:fef:ffff:ffff:ffff:ffff:ffff:ffff |
| 256 | fcbc:ff0::/28 | fcbc:fff:ffff:ffff:ffff:ffff:ffff:ffff |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |